/*
 * Copyright 2011 Hanson Robokind LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.robokind.api.common.utils;

/**
 * Listens for events of type T.
 * @author Matthew Stevenson <www.robokind.org>
 * @param <T> type of events listened for
 */
public interface Listener<T> {
    /**
     * Called to notify the Listener of a new event.
     * @param event the new event to handle
     */
    public void handleEvent(T event);
}
